import { MidwayConfig } from '@midwayjs/core';
const ip = '192.168.1.197';
const branch = 'Two';
const branchRouter = 'two';
const port = 12313;
const basePort = 12311;
const dbName = `shopping${branch}`;
const redisPwd = '';
const redisDB = 3;
const mqUser = `shopping${branch}`;
const routePrefix = `/dev/point/${branchRouter}/group/v1/api`;
const swaggerPath = `/dev/point/${branchRouter}/group/v1/api/doc/api`;
const payReturn = `/dev/point/${branchRouter}/group/v1/api/orderDeal/callback`;
const appSign = 'shoppingTwo';
const suffix = `_${branchRouter}_dev`;
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1669597198171_1000',
  koa: {
    port: port,
    globalPrefix: routePrefix,
  },
  swagger: {
    swaggerPath: swaggerPath,
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${dbName}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: ip, // Redis host
      password: redisPwd,
      db: redisDB,
    },
  },
  redisKey: {
    orderKeyPrefix: 'orderKey:',
  },
  redisTimeout: 600,

  jwt: {
    secret: 'Ziyouyanfa!@#',
  },
  axios: {
    clients: {
      wechat: {
        baseURL: 'https://broadcast.waityou24.cn/wechat/api',
      },
      base: {
        baseURL: `http://127.0.0.1:${basePort}/dev/point/${branchRouter}/v1/api`,
      },
    },
  },
  rabbitmq: {
    url: `amqp://${mqUser}:${mqUser}@${ip}/${mqUser}`,
  },
  mqConfig: {
    normal: {
      ex: `t_g_ex${suffix}`,
      q: `t_g_q${suffix}`,
      rk: `t_g_rk${suffix}`,
    },
    dead: {
      ex: `d_g_ex${suffix}`,
      q: `d_g_q${suffix}`,
      rk: `d_g_rk${suffix}`,
    },
    timeout: 15, //min
  },
  wxPayConfig: appSign,
  wxPayCallBack: payReturn,
} as MidwayConfig;
